'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var d3 = (0, _assign2['default'])({}, require('d3-selection'), require('d3-axis'));

var func = _propTypes2['default'].func,
    oneOf = _propTypes2['default'].oneOf,
    number = _propTypes2['default'].number,
    string = _propTypes2['default'].string;

var Axis = function (_React$Component) {
  (0, _inherits3['default'])(Axis, _React$Component);

  function Axis(props) {
    (0, _classCallCheck3['default'])(this, Axis);

    var _this = (0, _possibleConstructorReturn3['default'])(this, _React$Component.call(this, props));

    _this.renderAxis = _this.renderAxis.bind(_this);
    return _this;
  }

  Axis.prototype.componentDidMount = function componentDidMount() {
    this.renderAxis();
  };

  Axis.prototype.componentDidUpdate = function componentDidUpdate() {
    this.renderAxis();
  };

  Axis.prototype.getTranslate = function getTranslate() {
    var _props = this.props,
        orientation = _props.orientation,
        height = _props.height,
        width = _props.width,
        zero = _props.zero;


    if (orientation === 'top') {
      return 'translate(0, ' + zero + ')';
    } else if (orientation === 'bottom') {
      return 'translate(15, ' + (zero === 0 ? height - 25 : zero) + ')';
    } else if (orientation === 'left') {
      return 'translate(' + zero + ', 0)';
    } else if (orientation === 'right') {
      return 'translate(' + (zero === 0 ? width : zero) + ', 0)';
    }
    return '';
  };

  Axis.prototype.renderAxis = function renderAxis() {
    var node = _reactDom2['default'].findDOMNode(this);
    d3.select(node).call(this.props.axis);
  };

  Axis.prototype.render = function render() {
    var translate = this.getTranslate();
    return _react2['default'].createElement('g', {
      className: this.props.className,
      transform: translate,
      width: this.props.width
    });
  };

  return Axis;
}(_react2['default'].Component);

Axis.propTypes = {
  className: string,
  height: number,
  width: number,
  orientation: oneOf(['top', 'bottom', 'left', 'right']).isRequired,
  zero: number,
  axisType: oneOf(['x', 'y']),
  axis: func.isRequired
};

Axis.defaultProps = {
  className: 'axis',
  zero: 0,
  width: 1
};

exports['default'] = Axis;
module.exports = exports['default'];
//# sourceMappingURL=Axis.js.map