'use strict';

exports.__esModule = true;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

// import Immutable from 'immutable';
var d3 = (0, _assign2['default'])({}, require('d3-time-format'));

var Dots = function Dots(props) {
  var circles = props.data.map(function (d, i) {
    var xDataKey = d.x;
    if (props.xDataType === 'date') {
      xDataKey = d3.timeFormat('%b %e')(d.x);
    }
    return _react2['default'].createElement('circle', {
      className: 'dot', r: '5',
      cx: props.xScale(d.x),
      cy: props.yScale(d.y),
      fill: '#F3F4F2',
      stroke: '#3f5175', strokeWidth: '5px', key: i,
      onMouseOver: props.showToolTip,
      onMouseOut: props.hideToolTip,
      'data-key': xDataKey,
      'data-value': d.y
    });
  });

  return _react2['default'].createElement(
    'g',
    null,
    ' ',
    circles,
    ' '
  );
};

Dots.propTypes = {
  showToolTip: _propTypes2['default'].func,
  hideToolTip: _propTypes2['default'].func,
  data: _propTypes2['default'].array,
  xScale: _propTypes2['default'].func,
  yScale: _propTypes2['default'].func,
  xDataType: _propTypes2['default'].string
};

Dots.defaultProps = {
  xDataType: 'number'
};

exports['default'] = Dots;
module.exports = exports['default'];
//# sourceMappingURL=Dots.js.map