'use strict';

exports.__esModule = true;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _palette = require('../../../palette');

var _palette2 = _interopRequireDefault(_palette);

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var d3 = (0, _assign2['default'])({}, require('d3-shape'));

var twoPi = Math.PI * 2;
// const formatPercent = d3.format('.0%');

var CircleChart = function CircleChart(props) {
  var color = props.color,
      border = props.border,
      endPercent = props.endPercent,
      radius = props.radius,
      padding = props.padding,
      backgroundOpacity = props.backgroundOpacity;

  var boxSize = (radius + padding) * 2;
  var endPercentValue = props.endPercentValue;

  var arc = d3.arc().startAngle(0).innerRadius(radius).outerRadius(radius - border);
  var arcbg = d3.arc().startAngle(0).innerRadius(radius - 4).outerRadius(radius - 1);
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    'div',
    externalAttributes,
    _react2['default'].createElement(
      'svg',
      { width: boxSize, height: boxSize },
      _react2['default'].createElement(
        'g',
        { transform: 'translate(55,55)' },
        _react2['default'].createElement(
          'g',
          { className: 'progress-meter' },
          _react2['default'].createElement('path', {
            className: 'background',
            fill: '#8faec1',
            fillOpacity: backgroundOpacity,
            d: arcbg.endAngle(twoPi)()
          }),
          _react2['default'].createElement('path', {
            className: 'foreground',
            fill: color,
            fillOpacity: '1',
            d: arc.endAngle(twoPi * endPercent)()
          }),
          _react2['default'].createElement(
            'text',
            {
              className: 'current-progress',
              fill: color,
              textAnchor: 'middle',
              dy: '.35em',
              fontSize: '2.5em',
              fontWeight: '300'
            },
            endPercentValue
          )
        )
      )
    )
  );
};

CircleChart.propTypes = {
  color: _propTypes2['default'].string,
  border: _propTypes2['default'].number,
  endPercent: _propTypes2['default'].number,
  radius: _propTypes2['default'].number,
  padding: _propTypes2['default'].number,
  endPercentValue: _propTypes2['default'].string,
  backgroundOpacity: _propTypes2['default'].number
};

CircleChart.defaultProps = {
  color: _palette2['default'].blue,
  border: 5,
  padding: 10,
  endPercent: 0.45,
  radius: 45,
  backgroundOpacity: 0.5
};

exports['default'] = CircleChart;
module.exports = exports['default'];
//# sourceMappingURL=Circle.js.map